---
Id: "EXAMPLE"
Description: "For cloning, provides a Reference Example"
Documentation: |-
  This entry is provided to help operators define new UX Views.
  It as a full suite of options available and some advanced configurations
  that are useful when defining custom UX Views.
ApplicableRoles:
  - example
Airgap: false
LandingPage: "https://rackn.com"
Menu:
  - Id: system
    Title: System
    Items:
      - Id: overview
        Title: Overview
        Paywall: overview
      - Id: machines
        Title: Machines
      - Id: plugins
        Title: Plugins
      - Id: system
        Title: "Info & Preferences"
      - Id: license
        Title: "License Manager"
  - Id: manager
    Title: Sites Manager
    Items:
      - Id: endpoints
        Title: Endpoints
      - Id: version_sets
        Title: "Version Sets"
      - Id: classifier
        Title: "Classifier"
      - Id: racks
        Title: "Racks & Switches"
      - Id: pools
        Title: "Pools"
  - Id: networking
    Title: Networking
    Items:
      - Id: subnets
        Title: Subnets
      - Id: leases
        Title: Leases
      - Id: reservations
        Title: Reservations
  - Id: provision
    Title: Provision
    Items:
      - Id: bootenvs
        Title: "Boot Environments"
      - Id: contexts
        Title: Contexts
      - Id: templates
        Title: Templates
      - Id: params
        Title: Params
      - Id: profiles
        Title: Profiles
  - Id: control
    Title: Control
    Items:
      - Id: workflows
        Title: Workflows
      - Id: stages
        Title: Stages
      - Id: tasks
        Title: Tasks
      - Id: jobs
        Title: Jobs
  - Id: synchronize
    Title: "Synchronize & Upload"
    Items:
      # TODO: DEPRECATE TO `Id: catalog` EVENTUALLY
      - Id: catalog
        Title: Catalog
      - Id: content_browser
        Title: Contents
      - Id: isos
        Title: "Boot ISOs"
      - Id: files
        Title: Files
  - Id: admin
    Title: "Endpoint Admin"
    Items:
      - Id: users
        Title: Users
      - Id: roles
        Title: Roles
      - Id: ux_config
        Title: "UX Config"
      - Id: ux_views
        Title: "UX Views"
      - Id: tenants
        Title: Tenants
      - Id: logs
        Title: Logs
        Paywall: logs
BulkTabs:
  - Runnable
  - Workflows
  - Profiles
  - Pools
  - Params
  - Stages
  - BootEnvs
  - Contexts
  - Locked
  - Actions
Columns:
  machines:
    - runnable
    - connection
    - icon
    - locked
    - name
    - address
    - pipeline
    - profiles
    - pool
    - context
    - workflow
    - stage
    - task
    - bootenv
    - endpoint
    - "Param:rs-debug-enable:type=icon,iconName=bug,iconTitle=Debug Enabled,iconMap=true@check"
Meta:
  icon: "universal access"
  color: "blue"
  title: "RackN Content"
